import axios from 'axios'
import {Message} from 'element-ui'
axios.defaults.headers['Content-Type'] = 'application/json;charset=utf-8'
// 创建axios实例

const service = axios.create({
    // axios中请求配置有baseURL选项，表示请求URL公共部分
    baseURL:'',
    // 超时
    timeout: 30000
})
service.interceptors.response.use(res=>{
    const status = Number(res.status) || 200;
    console.log(res);
    if (status !== 200) {
        Message({
            message: res.statusText,
            type: 'error'
        })
        return Promise.reject(new Error(res.statusText))
    } else {
        console.log(res.data);
        return res.data
    }
})
export default service
